Bug 227374 - [UPDATE] multimedia/handbrake to 1.1.0
Summary: [UPDATE] multimedia/handbrake to 1.1.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Fernando Apesteguía
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-04-08 15:08 UTC by Yuichiro NAITO
Modified: 2018-04-18 21:34 UTC (History)
1 user (show)

See Also:


Attachments
handbrake-1.1.0.patch (29.74 KB, patch)
2018-04-08 15:08 UTC, Yuichiro NAITO
no flags Details | Diff
handbrake-1.1.0_without_openjdk.patch (30.73 KB, patch)
2018-04-10 14:09 UTC, Yuichiro NAITO
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yuichiro NAITO 2018-04-08 15:08:33 UTC
Created attachment 192341 [details]
handbrake-1.1.0.patch

Handbrake has been updated to 1.1.0
This is a patch of multimedia/handbrake port.

Fortunately most of patches have been merged to upstream.
The left patches are i386 support.

Unfortunately new libbluray requires jni.h at compile time.
So, this patch provides openjdk at build time.
It's really annoying to me but I don't have any idea better than this for now.
I think I should do as same as multimedia/libbluray,
but libbluray is extracted in HandBrake's Makefile not FreeBSD port Makefile.
I need to find how to execute extra command in HandBrake's Makefile.

Since this patch, preview works with gstreamer1.

My poudriere build has passed on following arch/versions.

i386  FreeBSD-10.4R
amd64 FreeBSD-10.4R
i386  FreeBSD-11.1R
amd64 FreeBSD-11.1R

If this patch seems reasonable,
let me take maintainership of this port.
Comment 1 Yuichiro NAITO 2018-04-10 14:09:49 UTC
Created attachment 192388 [details]
handbrake-1.1.0_without_openjdk.patch
Comment 2 Yuichiro NAITO 2018-04-10 14:10:34 UTC
I added ad hoc patch to omit openjdk.
Please check `handbrake-1.1.0_without_openjdk.patch`.

It works with both gcc6 and gcc7.
Comment 3 Fernando Apesteguía freebsd_committer 2018-04-10 16:44:12 UTC
I'll take this.
Comment 4 commit-hook freebsd_committer 2018-04-18 21:33:27 UTC
A commit references this bug:

Author: fernape
Date: Wed Apr 18 21:32:35 UTC 2018
New revision: 467738
URL: https://svnweb.freebsd.org/changeset/ports/467738

Log:
  Update multimedia/handbrake to 1.1.0

  Handing over maintainership to naito.yuichiro@gmail.com

  PR:	227374
  Reported by:	naito.yuichiro@gmail.com
  Approved by:	tcberner (mentor)
  Differential Revision:	https://reviews.freebsd.org/D15063

Changes:
  head/multimedia/handbrake/Makefile
  head/multimedia/handbrake/distinfo
  head/multimedia/handbrake/files/patch-contrib_libbluray_A02-expose-clip__id.patch
  head/multimedia/handbrake/files/patch-contrib_libbluray_P01-freebsd-configure.patch
  head/multimedia/handbrake/files/patch-contrib_x265__10bit_module.defs
  head/multimedia/handbrake/files/patch-contrib_x265__12bit_module.defs
  head/multimedia/handbrake/files/patch-gtk_configure.ac
  head/multimedia/handbrake/files/patch-gtk_src_callbacks.c
  head/multimedia/handbrake/files/patch-libhb_fifo.c
  head/multimedia/handbrake/files/patch-libhb_module.defs
  head/multimedia/handbrake/files/patch-libhb_nlmeans.c
  head/multimedia/handbrake/files/patch-libhb_nlmeans__x86.c
  head/multimedia/handbrake/files/patch-make_configure.py
  head/multimedia/handbrake/files/patch-make_include_main.defs
  head/multimedia/handbrake/files/patch-scripts_build-presets.sh
  head/multimedia/handbrake/files/patch-scripts_create__resources.py
  head/multimedia/handbrake/files/patch-scripts_mac-toolchain-build
  head/multimedia/handbrake/files/patch-scripts_manicure.rb
  head/multimedia/handbrake/files/patch-scripts_mingw-w64-build
  head/multimedia/handbrake/files/patch-scripts_quotestring.py
  head/multimedia/handbrake/files/patch-scripts_repo-info.sh
  head/multimedia/handbrake/files/patch-scripts_tag-release.sh
  head/multimedia/handbrake/files/patch-test_module.defs
  head/multimedia/handbrake/files/patch-version.txt
Comment 5 Fernando Apesteguía freebsd_committer 2018-04-18 21:34:10 UTC
Committed, thanks!